library ieee;
  use ieee.std_logic_1164.all;
  use ieee.std_logic_unsigned.all;
  use ieee.numeric_std.all;
  
--  library UNISIM;
--  use UNISIM.Vcomponents.all;

ENTITY tb_video_signal_generator is
PORT
(
    DUMMIE      : in    std_logic
);
END;


ARCHITECTURE a of tb_video_signal_generator is

-- COMPONENT video_signal_generator
-- PORT
-- (
    -- RESET       : in    std_logic;
	-- PIXEL_CLOCK	: in    std_logic;
    
    -- VIDEO_X		: out   std_logic_vector(10 downto 0);
    -- VIDEO_Y    	: out   std_logic_vector(10 downto 0);
	-- BLANK       : out   std_logic;
    -- HSYNC       : out   std_logic;
    -- VSYNC       : out   std_logic;
	-- ISYNC       : out   std_logic
-- );
-- END COMPONENT;

 
--Signals
signal stb_reset	: std_logic := '0';
signal stb_clock 	: std_logic := '0';


BEGIN

dut: entity work.video_signal_generator
port map (
	RESET       => stb_reset,
	PIXEL_CLOCK	=> stb_clock,
	VIDEO_X		=> open,
	VIDEO_Y    	=> open,
	BLANK       => open,
	HSYNC       => open,
	VSYNC       => open,
	ISYNC       => open
);
	
mk_clk : process
begin
	stb_clock <= '0';
	wait for 4.629 ns;
	stb_clock <= '1';
	wait for 4.630 ns;
	stb_clock <= '0';
	wait for 4.629 ns;
	stb_clock <= '1';
	wait for 4.630 ns;
	stb_clock <= '0';
	wait for 4.630 ns;
	stb_clock <= '1';
	wait for 4.629 ns;
	stb_clock <= '0';
	wait for 4.630 ns;
	stb_clock <= '1';
	wait for 4.630 ns;
end process;


mk_sim : process
begin
	stb_reset <= '0';
	
	wait for 10 us;
	stb_reset <= '1';
	
	wait for 10 us;
	stb_reset <= '0';
	
	wait;
	
end process;


 
end architecture a;

